List agent sessions
curl --request GET \
--url https://aquila.attaxr.com/api/agents \
--cookie better-auth.session_token=const options = {method: 'GET', headers: {cookie: 'better-auth.session_token='}};
fetch('https://aquila.attaxr.com/api/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/agents"
headers = {"cookie": "better-auth.session_token="}
response = requests.get(url, headers=headers)
print(response.text){
"error": "<string>"
}Agents
List agent sessions
List the caller’s agent sessions, running sessions first. Optional scanId narrows the list to one scan.
GET
/
api
/
agents
List agent sessions
curl --request GET \
--url https://aquila.attaxr.com/api/agents \
--cookie better-auth.session_token=const options = {method: 'GET', headers: {cookie: 'better-auth.session_token='}};
fetch('https://aquila.attaxr.com/api/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/agents"
headers = {"cookie": "better-auth.session_token="}
response = requests.get(url, headers=headers)
print(response.text){
"error": "<string>"
}Authorizations
apiKeyCookieapiKeyHeaderbearerAuth
Browser session cookie set by Better Auth sign-in.
Query Parameters
Narrow the list to one scan.
Page number, 1-based.
Items per page (1-100, default 25).
Response
One page of agent sessions.

